---
title: Upload Download von Nextcloud-Dateien
description: 
published: true
date: 2024-06-17T10:46:36.783Z
tags: 
editor: markdown
dateCreated: 2024-06-17T10:36:54.688Z
---

Diese Befehle ermöglichen das Hoch- und Runterladen von Dateien von einer Nextcloud-Instanz mittels WebDAV.

1. **Nextcloud Download**:
   - `wget --http-user=${USER} --ask-pass https://ncloud.webseite.de/remote.php/webdav/Documents/nrpe.cfg`
     - Mit diesem Befehl wird die Datei `nrpe.cfg` von der Nextcloud-Instanz heruntergeladen. `--http-user=${USER}` gibt den Benutzernamen für die Authentifizierung an, und `--ask-pass` fordert das Passwort des Benutzers interaktiv an. Die URL gibt den Speicherort der Datei auf der Nextcloud-Instanz an.

   - `curl --user ${USER} --output file https://ncloud.webseite.de/remote.php/webdav/tmp/file`
     - Hier wird die Datei `file` von der Nextcloud-Instanz heruntergeladen. `--user ${USER}` gibt den Benutzernamen für die Authentifizierung an. Die Datei wird unter dem Namen `file` im aktuellen Verzeichnis gespeichert. Die URL gibt den Speicherort der Datei auf der Nextcloud-Instanz an.

2. **Nextcloud Upload**:
   - `curl --upload-file file.txt https://ncloud.webseite.de/remote.php/webdav/Documents/broken.txt -u ${USER}`
     - Mit diesem Befehl wird die lokale Datei `file.txt` auf die Nextcloud-Instanz hochgeladen und dort als `broken.txt` gespeichert. `--upload-file file.txt` gibt die zu sendende Datei an. Die URL `https://ncloud.webseite.de/remote.php/webdav/Documents/broken.txt` legt den Speicherort und den Namen der hochgeladenen Datei fest. `-u ${USER}` gibt den Benutzernamen für die Authentifizierung an.